## xawtv 2.19

=== font/Makefile ===
FONTDIR=/usr/X11R6/lib/X11/fonts/misc
BDF=$(shell echo *.bdf)
PCF=$(subst .bdf,.pcf,$(BDF))

all: $(PCF)
	mkfontdir

install: all
	for file in $(PCF); do \
		install -m 644 $$file $(FONTDIR); \
	done
	(cd $(FONTDIR); mkfontdir)
	-xset fp rehash

clean:
	rm -f *.pcf fonts.dir

%.pcf: %.bdf
	bdftopcf -o $@ $<

###########################################################################
# don't use these, unless you know what you are doing...

SERVER=tcp/goldbach:7100

bdf:
	perl ./bigfont.pl -s $(SERVER) -fn "fixed" > led-fixed.bdf
#	perl ./bigfont.pl -s $(SERVER) -fn "6x10"  > led-6x10.bdf
#	perl ./bigfont.pl -s $(SERVER) -fn \
#		"-adobe-helvetica-medium-r-normal--10-*" > led-helv-10.bdf
#	perl ./bigfont.pl -s $(SERVER) -fn \
#		"-adobe-helvetica-medium-r-normal--12-*" > led-helv-12.bdf

realclean: clean
	rm -f *~ *.bdf

dist: realclean bdf

=== bttv/driver/Makefile ===
#################################################
# config

# 0: Temic PAL tuner
# 1: Philips PAL_I tuner
# 2: Philips NTSC tuner
# 3: Philips SECAM tuner
# 4: no tuner
# 5: Philips PAL tuner
# 6: Temic NTSC tuner
# 7: Temic PAL tuner
#TUNER=0
# Do not select the tuner type here!
# Edit the type argument for the tuner module in "update"!



# 0: Auto-Detect
# 1: Miro
# 2: Hauppauge
# 3: STB
# 4: Intel
# 5: Diamond
# 6: AVerMedia
# 7: MATRIX Vision MV-Delta
# 8: FlyVideo
CARD=0

# uncomment this if you have a Hauppauge with MSP34xx sound decoder!
#MSP=-DRESET_MSP_HAUPPAUGE

# uncomment this if you have a Bt848A or higher with 28.xxxMhz Quartz
#PLL=-DUSE_PLL

# Official major device number is 81
# Older kernels might have problems with such high numbers.
# But I rather recommend updating to kernel 2.0.31 or higher.
BTTV_MAJOR=81

# currently running kernel
CURRENT=$(shell uname -r)

# where the kernel sources are located
#KERNEL_LOCATION=/usr/src/kernel/$(CURRENT)
#KERNEL_LOCATION=/usr/src/kernel/vger
KERNEL_LOCATION=/usr/src/linux


#################################################
# some magic for using linux kernel settings
# when compiling module(s)

M_OBJS       = bttv.o msp3400.o tuner.o #i2c_chardev.o
MX_OBJS      = i2c.o videodev.o
EXTRA_CFLAGS = -DTUNER_DEFAULT=$(TUNER) -DCARD_DEFAULT=$(CARD) \
	-DBTTV_MAJOR=$(BTTV_MAJOR) $(INTERFACE) $(MSP) $(PLL)

here:
	DIR=`pwd`; (cd $(KERNEL_LOCATION); make SUBDIRS=$$DIR modules)

install:
	su -c "cp -v $(M_OBJS) $(MX_OBJS) /lib/modules/$(CURRENT)/misc"

clean:
	-rm -f $(M_OBJS) $(MX_OBJS) .*.o.flags *~

include $(KERNEL_LOCATION)/Rules.make

=== bttv/experimental/Makefile ===
SUBDIRS=mod bttv util

here clean:
	set -e; for dir in $(SUBDIRS); do make -C $$dir $@; done

insmod: warn doinsmod

warn:
	@echo ""
	@echo "have you adopted the insmod parameters in the"
	@echo "bttv/update script according to your setup?"
	@echo ""
	@echo "If not, hit ^C NOW!"
	@echo ""
	sleep 20

doinsmod:
	(cd bttv; ./update)

=== bttv/experimental/bttv/Makefile ===
#################################################
# config

# 0: Temic PAL tuner
# 1: Philips PAL_I tuner
# 2: Philips NTSC tuner
# 3: Philips SECAM tuner
# 4: no tuner
# 5: Philips PAL tuner
# 6: Temic NTSC tuner
# 7: Temic PAL tuner
TUNER=0

# 0: Auto-Detect
# 1: Miro
# 2: Hauppauge
# 3: STB
# 4: Intel
# 5: Diamond
# 6: AVerMedia
# 7: MATRIX Vision MV-Delta
# 8: FlyVideo
CARD=0

# uncomment this if you have a Hauppauge with MSP34xx sound decoder!
# NEWS: this is a runtime option now, insmod bttv with "card=2" to
# enable the Hauppauge MSP34xx reset code.

# uncomment this if you have a Bt848A or higher with 28.xxxMhz Quartz
#PLL=-DUSE_PLL

# Official major device number is 81
# Older kernels might have problems with such high numbers.
# But I rather recommend updating to kernel 2.0.31 or higher.
BTTV_MAJOR=81

# currently running kernel
CURRENT=$(shell uname -r)

# where the kernel sources are located
#KERNEL_LOCATION=/usr/src/kernel/$(CURRENT)
#KERNEL_LOCATION=/usr/src/kernel/vger
KERNEL_LOCATION=/usr/src/linux


#################################################
# some magic for using linux kernel settings
# when compiling module(s)

M_OBJS       = bttv.o tuner.o msp3400.o 
MX_OBJS      = videodev.o #i2c-old.o
#EXTRA_CFLAGS = -DTUNER_DEFAULT=$(TUNER) -DCARD_DEFAULT=$(CARD) \
#	-DBTTV_MAJOR=$(BTTV_MAJOR) $(INTERFACE) #-DUSE_PLL
EXTRA_CFLAGS = -DTUNER_DEFAULT=$(TUNER) -DCARD_DEFAULT=$(CARD)	\
	-DBTTV_MAJOR=$(BTTV_MAJOR) $(MSP) $(PLL)		\
	-I/home/kraxel/2/i2c/mod

here:
	DIR=`pwd`; (cd $(KERNEL_LOCATION); make SUBDIRS=$$DIR modules)

install:
	su -c "cp -v $(M_OBJS) $(MX_OBJS) /lib/modules/$(CURRENT)/misc"

clean:
	-rm -f $(M_OBJS) $(MX_OBJS) .*.o.flags *~

include $(KERNEL_LOCATION)/Rules.make

=== bttv/experimental/mod/Makefile ===
#################################################
# config
KERNEL_LOCATION=/usr/src/linux
CURRENT=$(shell uname -r)

#################################################
# some magic for using linux kernel settings
# when compiling module(s)

#M_OBJS       = i2c.o algo-bit.o i2c-dev.o bit-lp.o bit-velle.o algo-pcf.o
M_OBJS       = i2c.o algo-bit.o i2c-dev.o bit-lp.o bit-velle.o
MX_OBJS      = 
EXTRA_CFLAGS = -DVERIFY_HEADERS -DSLOW_STARTER

here:
	DIR=`pwd`; (cd $(KERNEL_LOCATION); make SUBDIRS=$$DIR modules)

install:
	su -c "cp -v $(M_OBJS) $(MX_OBJS) /lib/modules/$(CURRENT)/misc"

clean:
	-rm -f $(M_OBJS) $(MX_OBJS) .*.o.flags *~

up:
	insmod i2c.o
	insmod algo-bit.o test=1
	insmod bit-lp.o 
	insmod i2c-dev.o

down:
	-rmmod i2c-dev
	-rmmod bit-lp
	-rmmod algo-bit
	-rmmod i2c


include $(KERNEL_LOCATION)/Rules.make

=== bttv/experimental/util/Makefile ===

source=$(wildcard *.c)
prog=$(subst .c,,$(source))

CC=gcc
CFLAGS=-I../mod

here: $(prog)

clean:
	rm -f $(prog) *~

## xawtv 3.06

=== Makefile ===
default:
	./configure && make dep && make

=== i2c/Makefile ===
# Generated automatically from Makefile.in by configure.
srcdir=.

PROGS=detect eeprom #scan

CC=gcc
CFLAGS=-Wall

all: $(PROGS)

clean:
	rm -f $(PROGS) *~

distclean realclean: clean
	rm -f Makefile

dep depend install:

=== webcam/Makefile ===
# Generated automatically from Makefile.in by configure.
CC=gcc
CFLAGS=-O2 -Wall -I..

PROGS=webcam

##########################################################################

all: $(PROGS)

webcam: webcam.o
	$(CC) $(CFLAGS) -o $@ $^ -ljpeg	# -ljpeg

clean:
	-rm -f *.o *.moc *~ core* *.bak TAGS

realclean distclean: clean
	-rm -f $(PROGS) Makefile

dep depend install:

## xawtv 3.72

=== debian/changelog ===
xawtv (3.72) unstable; urgency=low

  * new release (closes: #134444).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 19 Feb 2002 15:18:45 +0100

xawtv (3.71) unstable; urgency=low

  * new release (closes: #133120).
  * fixed dependences (closes: #132619,#132987).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 11 Feb 2002 13:21:05 +0100

xawtv (3.70) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Tue,  5 Feb 2002 11:03:48 +0100

xawtv (3.69) unstable; urgency=low

  * new release (closes: #112892)
  * various bugs are fixed in other releases but I forgot to mention them
    in the changelog (closes: #122672, #116477, #119935, #116476).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 31 Jan 2002 12:05:43 +0100

xawtv (3.68) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Thu, 17 Jan 2002 19:08:55 +0100

xawtv (3.67) unstable; urgency=low

  * new release (closes: #124275).

 -- Gerd Knorr <kraxel@debian.org>  Fri, 14 Dec 2001 13:00:56 +0100

xawtv (3.66) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Wed, 12 Dec 2001 15:51:37 +0100

xawtv (3.65) unstable; urgency=low

  * new release (closes: #119935).

 -- Gerd Knorr <kraxel@debian.org>  Tue,  4 Dec 2001 13:13:01 +0100

xawtv (3.64) unstable; urgency=low

  * new release (closes: #113633,#112169).
  * fixed build dependences (closes: #115111).

 -- Gerd Knorr <kraxel@debian.org>  Wed, 10 Oct 2001 12:51:39 +0200

xawtv (3.63) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Mon,  8 Oct 2001 15:17:11 +0200

xawtv (3.62) unstable; urgency=low

  * new release (closes: #111105, #111267, #111296).

 -- Gerd Knorr <kraxel@debian.org>  Fri, 14 Sep 2001 19:39:38 +0200

xawtv (3.61) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Thu, 23 Aug 2001 21:32:42 +0200

xawtv (3.60) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Tue, 14 Aug 2001 16:39:51 +0200

xawtv (3.59) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Mon, 13 Aug 2001 20:12:52 +0200

xawtv (3.58) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Thu,  2 Aug 2001 14:22:14 +0200

xawtv (3.57) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Mon, 23 Jul 2001 13:44:03 +0200

xawtv (3.56) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Mon, 16 Jul 2001 16:17:18 +0200

xawtv (3.55) unstable; urgency=low

  * new release.
  * spell fix in control file (s/Replace/Replaces/, closes: #103418).

 -- Gerd Knorr <kraxel@debian.org>  Wed,  4 Jul 2001 09:38:14 +0200

xawtv (3.54) unstable; urgency=low

  * new release (closes: #102096).

 -- Gerd Knorr <kraxel@debian.org>  Mon,  2 Jul 2001 11:36:09 +0200

xawtv (3.53.1) unstable; urgency=low

  * fixed dependences for new scantv package (closes: #101971).

 -- Gerd Knorr <kraxel@debian.org>  Sat, 23 Jun 2001 10:42:57 +0200

xawtv (3.53) unstable; urgency=low

  * new release.
  * splitted scantv into a sepatate package (closes: #101353).
  * updated ttv description (closes: #101682)

 -- Gerd Knorr <kraxel@debian.org>  Wed, 20 Jun 2001 12:18:06 +0200

xawtv (3.52) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Mon, 18 Jun 2001 10:20:03 +0200

xawtv (3.51) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Mon, 11 Jun 2001 12:58:33 +0200

xawtv (3.50) unstable; urgency=low

  * new release (closes: #99858).

 -- Gerd Knorr <kraxel@debian.org>  Wed,  6 Jun 2001 11:28:14 +0200

xawtv (3.49) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Thu, 31 May 2001 11:45:34 +0200

xawtv (3.48) unstable; urgency=low

  * new release (closes: #97772).
  * updated template file (closes: #92402).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 21 May 2001 14:19:33 +0200

xawtv (3.47) unstable; urgency=low

  * new release.
  * tweak postinst (closes: #97187).

 -- Gerd Knorr <kraxel@debian.org>  Wed, 16 May 2001 11:04:53 +0200

xawtv (3.46) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Mon,  7 May 2001 17:30:03 +0200

xawtv (3.45) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Sun,  6 May 2001 11:02:52 +0200

xawtv (3.44) unstable; urgency=low

  * new release (closes: #87136).
  * deleted some magic from xawtv config/postinst scripts to avoid
    dependency on pciutils.

 -- Gerd Knorr <kraxel@debian.org>  Sat,  5 May 2001 18:02:34 +0200

xawtv (3.43) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Mon,  9 Apr 2001 09:03:17 +0000

xawtv (3.42) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Fri,  6 Apr 2001 08:04:27 +0000

xawtv (3.41) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Fri, 23 Mar 2001 22:49:04 +0100

xawtv (3.40) unstable; urgency=high

  * new release (closes: #90003).
  * new scantv manpage (closes: #87120).  Ok, that was fixed in
    3.39 already, but I forgot to add it to the changelog...

 -- Gerd Knorr <kraxel@debian.org>  Sun, 18 Mar 2001 17:41:56 +0100

xawtv (3.39) unstable; urgency=low

  * new release.
  * added xbase-clients to build-depends (closes: #89522).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 13 Mar 2001 21:30:12 +0100

xawtv (3.38) unstable; urgency=low

  * new release (closes: #88396).
  * fixed a number of lintian warnings.

 -- Gerd Knorr <kraxel@debian.org>  Sun, 11 Mar 2001 10:18:20 +0100

xawtv (3.37) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Wed, 28 Feb 2001 19:56:30 +0100

xawtv (3.36) unstable; urgency=low

  * new release (closes: #87429).

 -- Gerd Knorr <kraxel@debian.org>  Sun, 25 Feb 2001 16:52:43 +0100

xawtv (3.35) unstable; urgency=low

  * new release (closes: #85648, #86065).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 15 Feb 2001 21:21:30 +0100

xawtv (3.34) unstable; urgency=low



## xawtv 3.88

=== debian/changelog ===
xawtv (3.88) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Wed, 16 Apr 2003 12:19:46 +0200

xawtv (3.87) unstable; urgency=low

  * new release.
  * postinst fixes (closes: #179319,#188652).
  * rebuild with new, fixed libquicktime-dev (closes: #186332).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 15 Apr 2003 12:39:21 +0200

xawtv (3.86) unstable; urgency=low

  * new release (closes: #175886, #171884, #178691, #171354)
    (closes: #178940, #179371, #175886).
  * added danish template (closes: #175424).
  * fixed radio description text (closes: #175115).
  * splitted quicktime plugin into separate sub-package.
  * rebuild seems to fix #183567 - not sure how this happened in
    the first place as shared libary dependencies are autogenerated
    by debhelper ... (closes: #183567).
  * rebuild should also fixup the vorbis mess
    (closes: #179379, #178851).
  * fixed dependencies (closes: #179372, #184956, #184959, #144403).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 18 Mar 2003 10:12:33 +0100

xawtv (3.82) unstable; urgency=low

  * new release (closes: #173791).

 -- Gerd Knorr <kraxel@debian.org>  Sat, 28 Dec 2002 13:38:59 +0100

xawtv (3.81) unstable; urgency=low

  * new release (closes: #171346, #171812, #171470).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 10 Dec 2002 16:23:26 +0100

xawtv (3.80) unstable; urgency=low

  * new release.
  * fixed build dependencies (closes: #169570).

 -- Gerd Knorr <kraxel@debian.org>  Wed, 27 Nov 2002 13:07:56 +0100

xawtv (3.79) unstable; urgency=low

  * new release (closes: #168896, #168694)

 -- Gerd Knorr <kraxel@debian.org>  Fri, 15 Nov 2002 11:02:59 +0100

xawtv (3.78) unstable; urgency=low

  * new release (closes: #132366,#135393,#138792,#144699,#159689).
  * fixed copyright file (closes: #143371).
  * fixed control file (closes: #153046).

 -- Gerd Knorr <kraxel@debian.org>  Wed, 30 Oct 2002 13:04:45 +0100

=== debian/control ===
Source: xawtv
Section: graphics
Priority: extra
Build-Depends: libjpeg-dev, libncurses5-dev, xlibs-dev (>= 4.0.1), liblircclient-dev, debhelper (>= 4.0), xutils, xbase-clients, aalib1-dev, libasound2-dev, libzvbi-dev (>= 0.2.1), libquicktime-dev, libxaw7-dev, xlibmesa-gl-dev, libxft2-dev
Maintainer: Gerd Knorr <kraxel@debian.org>
Standards-Version: 3.5.9

Package: xawtv
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, v4l-conf, xutils, debconf, scantv, xawtv-plugins (=${Source-Version}), pia
Suggests: xawtv-plugin-qt (=${Source-Version}), tv-fonts
Description: X11 TV application
 TV application for X11.  Supports video4linux
 devices and the Xvideo extension.

Package: pia
Section: x11
Architecture: any
Depends: ${shlibs:Depends}
Description: movie player
 This is a simple movie player.  It is used by xawtv and motv to
 playback movie files which are recorded from TV.

Package: fbtv
Architecture: any
Depends: ${shlibs:Depends}, v4l-conf, xawtv-plugins (=${Source-Version})
Suggests: xawtv
Description: linux console (fbcon) TV application
 TV application for the linux console, requires a
 framebuffer device (vesafb, matroxfb, atyfb, ...)
 and a video4linux driver like bttv.

Package: ttv
Architecture: any
Depends: ${shlibs:Depends}, xawtv-plugins (=${Source-Version})
Suggests: xawtv
Description: tty TV application
 TV application for terminals, based on aalib.
 Uses video4linux devices as video input.

Package: scantv
Architecture: any
Depends: ${shlibs:Depends}, xawtv-plugins (=${Source-Version})
Replaces: xawtv (<< 3.53)
Description: scan TV channels for stations
 This utility can scan a channel set for TV stations
 and write the ones found into a xawtv config file
 (which is also read by some other utilities like fbtv).
 It also tries to extract the station names from vbi data.

Package: streamer
Architecture: any
Depends: ${shlibs:Depends}, xawtv-plugins (=${Source-Version})
Suggests: xawtv
Description: capture tool (images / movies)
 A tool to capture single/multiple images or
 record movies from a video4linux device.

Package: radio
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Description: ncurses-based radio application
 This is a ncurses-based radio application.  It
 supports the video4linux API.

Package: v4l-conf
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50)
Description: tool to configure video4linux drivers
 This is a small tool to configure a video4linux
 device driver.  It is required to make the video
 overlay work in fbtv and xawtv.

Package: xawtv-tools
Architecture: any
Depends: ${shlibs:Depends}
Description: Miscellaneous tools distributed with xawtv
 This package has a few tools you might find useful.  They
 have not to do very much to do with xawtv.  I've used/wrote
 them for debugging:
  * propwatch   - monitors properties of X11 windows.  If you
                  want to know how to keep track of xawtv's
                  _XAWTV_STATION property, look at this.
  * dump-mixers - dump mixer settings to stdout
  * record      - console sound recorder.  Has a simple input
                  level meter which might be useful to trouble
                  shoot sound problems.
  * showriff    - display the structure of RIFF files (avi, wav).

Package: xawtv-plugin-qt
Architecture: any
Depends: ${shlibs:Depends}
Description: quicktime plugin for xawtv and motv
 this plugin is needed to record quicktime movies with
 xawtv and motv.

Package: xawtv-plugins
Architecture: any
Depends: ${shlibs:Depends}
Description: plugins for xawtv and motv
 A number of plugins for xawtv and motv: driver interfaces for
 hardware access (video4linux API, ...), plugins for reading/writing
 movie files and some image processing filters.

Package: webcam
Section: net
Architecture: any
Depends: ${shlibs:Depends}, xawtv-plugins (=${Source-Version})
Recommends: ftp, ssh
Description: capture and upload images
 webcam captures images from a video4linux device like
 bttv, annotates them and and uploads them to a webserver
 using ftp or ssh in a endless loop.

Package: alevtd
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Description: http daemon for videotext pages
 alevtd is http daemon which servers videotext pages as
 HTML.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
export DH_COMPAT=4
ROOT=$(shell echo `pwd`/debian/tmp)

build:
	test -f config.h || ./configure	\
		--disable-motif		\
		--prefix=/usr		\
		--mandir=/usr/share/man
	$(MAKE) $@

clean::
	-$(MAKE) distclean
	dh_clean

install: build
	$(MAKE) DESTDIR=$(ROOT) $@
	dh_movefiles

	# fix v4l-conf suid-root lintian warning
	mkdir -p debian/v4l-conf/usr/share/lintian/overrides
	echo "v4l-conf: setuid-binary" \
		> debian/v4l-conf/usr/share/lintian/overrides/v4l-conf


binary-indep: install
	# nop

binary-arch: install
	dh_installdocs README* Changes contrib/frequencies*
	dh_installdocs -p webcam scripts/webcam.cgi
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
	dh_installdebconf -p xawtv
	dh_installchangelogs
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms	-Xv4l-conf
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## xawtv 3.90

=== debian/changelog ===
xawtv (3.90) unstable; urgency=low

  * bugfix release (closes: #204990).
  * added spanish template file (closes: #215652).
  * fix webcam description (closes: #216061).
  * fix build dependencies (closes: #216164).
  * rebuild with new libquicktime likely closes: #193712.

 -- Gerd Knorr <kraxel@debian.org>  Fri, 17 Oct 2003 12:55:22 +0200

xawtv (3.88.1) unstable; urgency=low

  * bugfix release (closes: #214120).
  * updated debconf (closes: #198780, #199982).

 -- Gerd Knorr <kraxel@debian.org>  Tue,  7 Oct 2003 17:26:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: xawtv
 Section: graphics
 Priority: extra
-Build-Depends: libjpeg-dev, libncurses5-dev, xlibs-dev (>= 4.0.1), liblircclient-dev, debhelper (>= 4.0), xutils, xbase-clients, aalib1-dev, libasound2-dev, libzvbi-dev (>= 0.2.1), libquicktime-dev, libxaw7-dev, xlibmesa-gl-dev, libxft2-dev
+Build-Depends: libjpeg-dev, libncurses5-dev, xlibs-dev (>= 4.0.1), liblircclient-dev, debhelper (>= 4.1.16), xutils, xbase-clients, aalib1-dev, libasound2-dev, libzvbi-dev (>= 0.2.1), libquicktime-dev, libxaw7-dev, xlibmesa-gl-dev, libxft2-dev, po-debconf, libpng-dev
 Maintainer: Gerd Knorr <kraxel@debian.org>
-Standards-Version: 3.5.9
+Standards-Version: 3.6.1
 
 Package: xawtv
 Section: x11
@@ -112,8 +112,8 @@
 Recommends: ftp, ssh
 Description: capture and upload images
  webcam captures images from a video4linux device like
- bttv, annotates them and and uploads them to a webserver
- using ftp or ssh in a endless loop.
+ bttv, annotates them and uploads them to a webserver
+ using ftp or ssh in an endless loop.
 
 Package: alevtd
 Section: net

## xawtv 3.91

=== debian/changelog ===
xawtv (3.91) unstable; urgency=low

  * bugfix release.
  * fix dependencies (closes: #217451).
  * added Japanese po-debconf template (closes: #227811).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 29 Jan 2004 14:23:49 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Package: pia
 Section: x11
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, xawtv-plugins (=${Source-Version})
 Description: movie player
  This is a simple movie player.  It is used by xawtv and motv to
  playback movie files which are recorded from TV.

## xawtv 3.102

=== Makefile ===

# passed to configure
prefix = /usr/local

# arch name -- for build directory
arch := $(shell echo "arch-`uname -m`-`uname -s`" | tr "A-Z" "a-z")

# targets
build all install: $(arch)/Makefile configure
	$(MAKE) -C $(arch) $@

clean distclean:
	-test -d "$(arch)" && rm -rf "$(arch)"

configure:
	autoconf

tag archive rpm dsc debs pbuild release snapshot snap: configure
	./configure
	$(MAKE) $@

$(arch)/Makefile: configure
	mkdir -p $(arch)
	(cd $(arch); ../configure	\
		--prefix=$(prefix)	)

=== debian/changelog ===
xawtv (3.102-2) unstable; urgency=low

  * Fix kfreebsd-i386 build (Closes: #654736)
  * [mtt_only_in_linux] mtt is linux dependent (uses linux/fb.h).
  * [fbtv_manpage_typo] upstream patch, manpage typo fix.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 Jan 2012 17:11:05 -0300

xawtv (3.102-1) unstable; urgency=low

  * Add myself as uploader.
  * Add changelog missing entries.
  * Fix postinst script so it continues even if scantv can't create the
    configuration file, which is the behaviour it had before the usage of the
    -e shell option. (Closes: #656570, #657182)
  * Change default for scantv, so it doesn't search for channels in
    installation time.
  * Fix dependencies architecture information. kfreebsd-i386 build should work
    if #656947 gets fixed.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Jan 2012 09:02:02 -0300

xawtv (3.102-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #650849) (Closes: #627435) (Closes: #299460)
    (Closes: #654302) (Closes: #634984) (Closes: #639500) (Closes: #638440)
    (Closes: #638439) (Closes: #513818) (Closes: #644761) (Closes: #584090)
    (Closes: #454186) (Closes: #444449) (Closes: #390312) (Closes: #366144)
    (Closes: #200248) (Closes: #636909) (Closes: #643652) (Closes: #227590)
  * Migration to debian format 3.0 (quilt)
  * Remove all patches, upstream have already applied them.
  * [remove_dl_motif] upstream patch imported from git, removes dl option to
    motif libraries.
  * [fix_libjpeg_segfault] upstream patch imported from git, fixes libjpeg8
    segfaults
  * Fix typographic errors in package descrition (Closes: #639248),
    thanks to Simon Kainz <simon@familiekainz.at> for the fix.
  * Update xawtv menu (Closes: #564229)
  * Update dependencies (Closes: #633387) (Closes: #578974)
  * Updated Standards-Version to 3.9.2 (No changes).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 15 Jan 2012 16:53:21 -0300

xawtv (3.95.dfsg.1-8.3) unstable; urgency=low

  * Non-maintainer upload.
  * Touch configure between patch and build rules so make doesn't decide to
    run autoconf (closes: #617710).

 -- Julien Cristau <jcristau@debian.org>  Sat, 31 Dec 2011 19:10:46 +0100

xawtv (3.95.dfsg.1-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with binutils-fold (Closes: #556689);
    patch from Felix Geyer.
  * Replace x-dev with x11proto-core-dev in the Build-Depends field;
    report and patch come from Julien Cristau (Closes:# 515517).
  * Also rebuild with newest libquicktime in sid.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 May 2011 12:05:53 +0200

xawtv (3.95.dfsg.1-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #491427
    - Danish. Closes: #500410
    - Dutch. Closes: #500515

 -- Christian Perrier <bubulle@debian.org>  Tue, 30 Sep 2008 07:23:03 +0200

xawtv (3.95.dfsg.1-8) unstable; urgency=low

  * Updated Standards-Version to 3.7.3.
  * Switched from glib 1.2 to glib 2.0.
  * Aplied A. Costa's patch for scantv manual page typo (Closes: #448578)
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. (Closes: #447430)
  * [Debconf translation updates]
  * Basque. (Closes: #447995)
  * Vietnamese. (Closes: #448026)
  * Galician. (Closes: #448069)
  * Finnish. (Closes: #448075)
  * Spanish. (Closes: #448744)
  * Japanese. (Closes: #448750)
  * German. (Closes: #449030)
  * Czech. (Closes: #449262)
  * Italian. (Closes: #449443)
  * French. (Closes: #449579)
  * Russian. (Closes: #450503)
  * Portuguese. (Closes: #450669)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Fri, 14 Dec 2007 16:32:12 +0100

xawtv (3.95.dfsg.1-7) unstable; urgency=low

  * Applied Tim Connors's patch for xawtv wrapper (Closes: #444447)
  * Applied patch for uvcvideo driver submited by Tim Connors (Closes: #444449)
  * Add Russian debconf translation updated by Yuri Kozlov (Closes: #446283)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Wed, 17 Oct 2007 08:25:38 +0200

xawtv (3.95.dfsg.1-6) unstable; urgency=low

  * Applied Martin Denn's patch for 11_plugins_memory_leaks.dpatch
    fixes free()ing invalid pointer (Closes: #438135, #440706)
  * Moved xawtv binary to xawtv.bin and add wrapper to detect and work around
    graphic cards / drivers without DGA support (idea by Jorge S. de Lis)
  * Updated Portuguese translation for debconf messages (Closes: #439694)
  * File xawtv.desktop modified to adhere to freedesktop standards
    (incorporated changes from Ubuntu patch by Luca Falavigna)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Wed, 26 Sep 2007 00:12:47 +0200

xawtv (3.95.dfsg.1-5) unstable; urgency=low

  * Add desktop file provided by Luca Falavigna (Closes: #414261)
  * Applied quicktime patch from Alexis Ballier
    and re-enabled quicktime feature (Closes: #394001)
  * Applied patch for scantv provided by Adrian Phillips that allow card's
    input to be specified (overriding default "Television" input) (Closes: #231557)
  * Add streamer-wrapper.pl provided by John Goerzen (Closes: #55016)
    (can be found in streamer package in /usr/share/doc/streamer/contrib)
  * Add German debconf translation updated by Helge Kreutzmann (Closes: #436953)
  * Add French debconf translation updated by Michel Grentzinger (Closes: #437843)
  * Add Spanish debconf translation updated by Carlos Valdivia Yagüe (Closes: #436513)
  * Updated debian/copyright to cover copyright statements found in sources
  * Updated debian/*.menu to use "Applications" instead of "Apps".

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Wed, 15 Aug 2007 20:36:57 +0200

xawtv (3.95.dfsg.1-4) unstable; urgency=low

  * Applied Kristof Koehler's patch for problems with recording
    oss audio using streamer (Closes: #374626)
  * Applied Romain FRANCOISE's patch for unmute sound on xavtv
    exit (Closes: #199570)


=== debian/control ===
Source: xawtv
Section: video
Priority: extra
Build-Depends: debhelper (>= 7.0.50~), autoconf, libjpeg-dev, libncurses5-dev,
 libx11-dev, libxext-dev, libxinerama-dev, libxpm-dev, libxrandr-dev,
 libxt-dev, libxv-dev, libxxf86dga-dev, libxxf86vm-dev, x11proto-core-dev,
 liblircclient-dev, x11-xserver-utils, libaa1-dev, libxaw7-dev,
 libzvbi-dev (>= 0.2.1), libgl1-mesa-dev, po-debconf, libpng12-dev,
 libexplain-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libxmu-dev,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libxft-dev,
 libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lesstif2-dev,
 libquicktime-dev (>= 0.9.9), libglib2.0-dev, libfs-dev, libdv-dev
Maintainer: Krzysztof Burghardt <krzysztof@burghardt.pl>
Uploaders: Maximiliano Curia <maxy@debian.org>
Standards-Version: 3.9.2

Package: xawtv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, v4l-conf [linux-any], x11-utils,
 scantv, xawtv-plugins (=${binary:Version}), pia
Suggests: xawtv-plugin-qt (=${binary:Version}), tv-fonts
Description: television viewer - X11 application
 XawTV is an X11 application which displays television channels. It
 supports video4linux devices and the Xvideo extension.

Package: pia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 xawtv-plugins (=${binary:Version})
Description: movie player for xawtw
 This package provides a simple movie player used by xawtv and motv to
 play back movie files which are recorded from TV.

Package: fbtv
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, v4l-conf,
 xawtv-plugins (=${binary:Version})
Suggests: xawtv
Description: television viewer - Linux framebuffer application
 FbTV is a Linux framebuffer application which displays television
 channels. It supports video4linux devices and requires a framebuffer
 device (vesafb, matroxfb, atyfb, etc.).

Package: ttv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 xawtv-plugins (=${binary:Version})
Suggests: xawtv
Description: television viewer - console application
 TTV is a console application, based on aalib, which displays
 television channels. It supports video4linux devices.

Package: scantv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 xawtv-plugins (=${binary:Version})
Replaces: xawtv (<< 3.53)
Description: television channel-scanner
 This package provides a utility that can scan a channel set for TV
 stations and write the ones found in an xawtv configuration file
 (which is also read by some other utilities such as fbtv). It
 attempts to extract the station names from inter-frame (VBI) data
 as well.

Package: streamer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 xawtv-plugins (=${binary:Version})
Suggests: xawtv
Description: television capture tool (images/movies)
 This package provides a tool to capture single/multiple images or
 record movies from a video4linux device.

Package: radio
Section: sound
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ncurses-based radio application
 This package provides a ncurses-based radio application. It
 supports the video4linux API.

Package: v4l-conf
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: suidmanager (<< 0.50)
Replaces: xawtv (<=3.95-3)
Description: tool to configure video4linux drivers
 This package provides a small tool to configure a video4linux device driver.
 It is required to make the video overlay work in fbtv and xawtv.

Package: xawtv-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: television viewer - tools
 This package provides some tools that may be useful with xawtv:
  - propwatch:    monitors properties of X11 windows. Helps to
                  keep track of xawtv's _XAWTV_STATION property;
  - dump-mixers:  dumps mixer settings to stdout;
  - record:       console sound recorder. It has a simple input
                  level meter which might be useful for
                  troubleshooting sound problems;
  - showriff:     display the structure of RIFF files (avi, wav).

Package: xawtv-plugin-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: television viewer - QuickTime plugin
 This package provides a plugin to record QuickTime movies with
 xawtv and motv.

Package: xawtv-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: television viewer - plugins
 This package provides plugins for xawtv and motv: driver interfaces for
 hardware access (video4linux API, etc.), plugins for reading/writing
 movie files and some image processing filters.

Package: webcam
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 xawtv-plugins (=${binary:Version})
Recommends: ftp, ssh
Description: image grabber and uploader
 This package provides an utility that captures images from a
 video4linux device such as bttv, annotates them and uploads them to a
 webserver in an endless loop using FTP or SSH.

Package: alevtd
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HTTP daemon for teletext pages
 This package provides an HTTP daemon which serves teletext pages as
 HTML.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	make configure
	dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/configure $(CURDIR)/config.log

override_dh_fixperms:
	dh_fixperms
	-chmod 4755 $(CURDIR)/debian/v4l-conf/usr/bin/v4l-conf

## xawtv 3.103

=== debian/changelog ===
xawtv (3.103-4build1) zesty; urgency=medium

  * Rebuild against drop liblircclient0 dependency.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Nov 2016 11:14:21 +0100

xawtv (3.103-4) unstable; urgency=medium

  * Import upstream patches. (Closes: #805830) Thanks to Philippe
    Waroquiers for reporting
  * Recommend ssh-client instead of simply ssh. (Closes: #605607)
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Drop obsolete README.xfree4 doc file. (Closes: #559234)
  * Fix synopsis typo (Closes: #654279) Thanks to Vincent Blut for
    reporting
  * Add patch to update v4l2 api. (Closes: #658726) Thanks to Philipp
    Matthias Hahn for the patch and pointers

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Feb 2016 17:25:07 +0100

xawtv (3.103-3) unstable; urgency=low

  * Replace lesstif with motif.
  * Remove libexplain build-dep.
  * Remove libxp-dev as build-dep, thanks to Graham Inggs. (Closes:
    #733137)
  * Import 3.103-2.1 nmu, thanks to Luk Claes.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 14 Jan 2014 18:59:17 +0100

xawtv (3.103-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Transition from lesstif2 to motif (Closes: #714682).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 18:50:16 +0200

xawtv (3.103-2) unstable; urgency=low

  * New patch: mayhem_showriff.diff.
  * New patch: mayhem_rootv.diff.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 27 Jun 2013 17:59:08 +0200

xawtv (3.103-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Change libpng12-dev build-dep to libpng-dev (Closes: #662555).
  * Update Maintainer field (Closes: #678879).
  * Add explicit build-dep of libxp-dev (Closes: #707944).
  * [remove_dl_motif] Remove applied patch.
  * [fix_libjpeg_segfault] Remove applied patch.
  * [mtt_only_in_linux] Remove applied patch.
  * [fbtv_manpage_typo] Remove applied patch.
  * Update debian rules.
  * Add build-dep to dh-autoreconf.
  * Update install files for multi-arch.
  * Add hardening-includes as build-dep.
  * [honour_ldflags.diff] new patch.
  * Disable HARDENING_PIE.
  * [manpages_minor_changes.diff] new patch.
  * [minor_spelling_change.diff] new patch.
  * Add ${misc:Pre-Depends} to packages with multi-arch installed files.
  * New debug package xawtv-dbg.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 16 May 2013 11:26:36 +0200

xawtv (3.102-3) unstable; urgency=low

  * Missing dollar sign in xawtv postinst script. (Closes: #657935)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Jan 2012 08:02:51 -0300

=== debian/control ===
Source: xawtv
Section: video
Priority: extra
Build-Depends: autoconf,
               debhelper (>= 9),
               dh-autoreconf,
               libaa1-dev,
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libdv-dev,
               libfs-dev,
               libgl1-mesa-dev,
               libglib2.0-dev,
               libjpeg-dev,
               liblircclient-dev,
               libmotif-dev,
               libncurses5-dev,
               libpng-dev,
               libquicktime-dev (>= 0.9.9),
               libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxft-dev,
               libxinerama-dev,
               libxmu-dev,
               libxpm-dev,
               libxrandr-dev,
               libxt-dev,
               libxv-dev,
               libxxf86dga-dev,
               libxxf86vm-dev,
               libzvbi-dev (>= 0.2.1),
               po-debconf,
               x11-xserver-utils,
               x11proto-core-dev
Maintainer: Maximiliano Curia <maxy@debian.org>
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xawtv.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xawtv.git

Package: xawtv
Architecture: any
Depends: pia,
         scantv,
         v4l-conf [linux-any],
         x11-utils,
         xawtv-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: tv-fonts, xawtv-plugin-qt (=${binary:Version})
Description: television viewer - X11 application
 XawTV is an X11 application which displays television channels. It
 supports video4linux devices and the Xvideo extension.

Package: pia
Architecture: any
Depends: xawtv-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: movie player for xawtv
 This package provides a simple movie player used by xawtv and motv to
 play back movie files which are recorded from TV.

Package: fbtv
Architecture: linux-any
Depends: v4l-conf,
         xawtv-plugins (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: xawtv
Description: television viewer - Linux framebuffer application
 FbTV is a Linux framebuffer application which displays television
 channels. It supports video4linux devices and requires a framebuffer
 device (vesafb, matroxfb, atyfb, etc.).

Package: ttv
Architecture: any
Depends: xawtv-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: xawtv
Description: television viewer - console application
 TTV is a console application, based on aalib, which displays
 television channels. It supports video4linux devices.

Package: scantv
Architecture: any
Depends: xawtv-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: xawtv (<< 3.53)
Description: television channel-scanner
 This package provides a utility that can scan a channel set for TV
 stations and write the ones found in an xawtv configuration file
 (which is also read by some other utilities such as fbtv). It
 attempts to extract the station names from inter-frame (VBI) data
 as well.

Package: streamer
Architecture: any
Depends: xawtv-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: xawtv
Description: television capture tool (images/movies)
 This package provides a tool to capture single/multiple images or
 record movies from a video4linux device.

Package: radio
Section: sound
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ncurses-based radio application
 This package provides a ncurses-based radio application. It
 supports the video4linux API.

Package: v4l-conf
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50)
Replaces: xawtv (<=3.95-3)
Description: tool to configure video4linux drivers
 This package provides a small tool to configure a video4linux device driver.
 It is required to make the video overlay work in fbtv and xawtv.

Package: xawtv-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: television viewer - tools
 This package provides some tools that may be useful with xawtv:
  - propwatch:    monitors properties of X11 windows. Helps to
                  keep track of xawtv's _XAWTV_STATION property;
  - dump-mixers:  dumps mixer settings to stdout;
  - record:       console sound recorder. It has a simple input
                  level meter which might be useful for
                  troubleshooting sound problems;
  - showriff:     display the structure of RIFF files (avi, wav).

Package: xawtv-plugin-qt
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: television viewer - QuickTime plugin
 This package provides a plugin to record QuickTime movies with
 xawtv and motv.

Package: xawtv-plugins
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: television viewer - plugins
 This package provides plugins for xawtv and motv: driver interfaces for
 hardware access (video4linux API, etc.), plugins for reading/writing
 movie files and some image processing filters.

Package: webcam
Section: net
Architecture: any
Depends: xawtv-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ftp, ssh-client
Description: image grabber and uploader
 This package provides an utility that captures images from a
 video4linux device such as bttv, annotates them and uploads them to a
 webserver in an endless loop using FTP or SSH.

Package: alevtd
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTTP daemon for teletext pages
 This package provides an HTTP daemon which serves teletext pages as
 HTML.

=== debian/watch ===
version=3
opts=uselinktext,filenamemangle=s!.*/([^/]*)$!xawtv-$1\.tar\.gz!,downloadurlmangle=s!commit/([^/]*)!snapshot/$1\.tar\.gz! \
    http://git.linuxtv.org/xawtv3.git/refs/ .*=xawtv-([\d.]+)
